%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

%if 0%{?rhel} > 7
%global with_python2 0
%else
%global with_python2 1
%endif

%global pypi_name cradox

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        8%{?dist}.1
Summary:        Python libraries for the Ceph librados library with use cython instead of ctypes

License:        LGPLv2
URL:            https://github.com/sileht/pycradox
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

%if 0%{with_python2}
Requires:  Cython
Provides:        python2-cradox = %{version}-%{release}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
BuildRequires:  Cython
BuildRequires:  python-jinja2
BuildRequires:  python-pifpaf
BuildRequires:  librados2-devel
%endif
%description
Python libraries for the Ceph librados library with use cython instead of ctypes


%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Python libraries for the Ceph librados library with use cython instead of ctypes
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-Cython
BuildRequires:  python3-jinja2
BuildRequires:  python3-pifpaf
BuildRequires:  librados2-devel

Requires:  python3-Cython

%description -n python3-%{pypi_name}
Python libraries for the Ceph librados library with use cython instead of ctypes
%endif


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%if 0%{?with_python2}
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python3}
%py3_install
%endif
%if 0%{?with_python2}
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}
%endif


%if 0%{?with_python2}
%files -n python-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitearch}/cradox.so
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%exclude %{_usrsrc}/debug/*
%exclude %{_libdir}/debug/*
%endif

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitearch}/cradox.*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 2.1.0-8.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 2.1.0-8
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 2.1.0-7
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 2.1.0-6
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 2.1.0-5
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 2.1.0-4
- rebuilt

* Wed Mar 06 2019 Lon Hohberger <lon@redhat.com> - 2.1.0-3
- Rebuild for new architectures

* Tue Jan 29 2019 Lon Hohberger <lon@redhat.com> - 2.1.0-2
- RHEL8 fixes

* Tue Jul 10 2018 Mehdi Abaakouk <sileht@redhat.com> 2.1.0-1
- Updated to upstream version 2.1.0

* Thu Jun 01 2017 Josh Boyer <jwboyer@redhat.com> - 1.3.2-2
- Build for ppc64le

* Mon May 22 2017 Javier Peña <jpena@redhat.com> - 1.3.2-1
- Updated to upstream version 1.3.2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-2
- Rebuild for Python 3.6

* Wed Sep 28 2016 Javier Peña <jpena@redhat.com> - 1.3.0-1
- Updated to upstream version 1.3.0

* Mon Aug 1 2016 Javier Peña <jpena@redhat.com> - 1.1.8-3
- Removed gcc from BuildRequires

* Fri Jun 10 2016 jpena <jpena@redhat.com> - 1.1.8-2
- Fixed explicit lib dependencies
- Fixed license and source

* Thu Apr 21 2016 jpena <jpena@redhat.com> - 1.1.8-1
- Initial package.
